@import 'variables';
@import 'mixins';
@import 'base';

.container {
    max-width: $container-max-width;
    margin-left: auto;
    margin-right: auto;
}

.app-header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    background-color: rgba(#000, .5);
}
.app-logo {
    font-size: 1.6rem;
    padding: .5rem 1rem;
    font-weight: 600;
}
.app-navbar {
    display: flex;
    align-items: center;
    justify-content: space-between;
    color: white;
    height: 50px;
    background-color: transparent;
    box-shadow: none;
    .nav-menu {
        @include reset-list;
        display: flex;
        align-items: center;
        .nav-item {
            padding: .5rem .75rem;
            margin-left: .25rem;
            margin-right: .25rem;
        }
    }
}

.app-hero {
    color: white;
    height: 100vh;
    width: 100vw;
    background-image: linear-gradient(rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.7)), url('/dist/img/background.jpeg');
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;

    display: flex;
    align-items: center;
    justify-content: center;
    .app-hero-container {
        max-width: 90%;
        max-width: 500px;
        padding: 1.5rem;
        border: 1px solid white;
    }
}

.app-form {
    @include base-form;
}

.app-section {
    margin-top: 2rem;
    .section-title {
        font-size: 1.4rem;
        font-weight: normal;
        margin-top: 0;
        margin-bottom: 1.5rem;
    }
}


/* START .btn */
.btn {
    cursor: pointer;
    border: 1px solid #dadada;
    border-radius: 5px;
    height: 40px;
    box-shadow: none;
    outline: none;
    padding: 0.5rem 1.125rem;
    font-size: 1rem;
}
/* END .btn */


/* START .service */
app-service {
    display: inline-block;
    text-align: center;
    padding: 1rem .5rem;
    cursor: pointer;
    &:hover {
        background-color: #edf1f7;
    }
    &.selected {
        background-color: #00997a !important;
        color: white;
    }

    .service-title {
        font-weight: 600;
    }
    .service-image-container {
        margin-bottom: 10px;
        height: 150px;
        .service-image {
            object-fit: contain;
            width: 100%;
            height: 100%;
        }
    }
}
/* END .service */

.app-footer {
    width: 100%;
    background-color: #00997a;
    padding: 2rem 0;
    color: white;
    .footer-container {
        display: flex;
        justify-content: space-between;
    }

    .contact-social-medias {
        .contact-social-media {
            font-size: 1.6rem;
        }
    }
}